package com.aiup.service.entity;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * (UserInfo)实体类
 *
 * @author makejava
 * @since 2023-08-22 12:54:43
 */

@ApiModel("")
public class UserInfo implements Serializable {
    private static final long serialVersionUID = 433679354652963550L;
    /**
     * 用户ID
     */    
    @ApiModelProperty(value = "用户ID")
    private Integer userId;
    /**
     * 小程序OPENID
     */    
    @ApiModelProperty(value = "小程序OPENID")
    private String openId;
    /**
     * 手机号码
     */    
    @ApiModelProperty(value = "手机号码")
    private String mobile;
    /**
     * 用户姓名
     */    
    @ApiModelProperty(value = "用户姓名")
    private String userName;
    /**
     * 昵称
     */    
    @ApiModelProperty(value = "昵称")
    private String nickName;
    /**
     * 头像地址
     */    
    @ApiModelProperty(value = "头像地址")
    private String avatarUrl;
    /**
     * 性别  0-未知、1-男性、2-女性
     */    
    @ApiModelProperty(value = "性别  0-未知、1-男性、2-女性")
    private Integer gender;
    /**
     * 小程序unionId
     */    
    @ApiModelProperty(value = "小程序unionId")
    private String unionId;
    /**
     * 国家
     */    
    @ApiModelProperty(value = "国家")
    private String country;
    /**
     * 省份
     */    
    @ApiModelProperty(value = "省份")
    private String province;
    /**
     * 城市
     */    
    @ApiModelProperty(value = "城市")
    private String city;
    /**
     * 用户状态:1-启用；0-停用
     */    
    @ApiModelProperty(value = "用户状态:1-启用；0-停用")
    private Integer status;
    /**
     * 是否已经授权登录过
     */    
    @ApiModelProperty(value = "是否已经授权登录过")
    private Integer isAuth;
    /**
     * 是否删除
     */    
    @ApiModelProperty(value = "是否删除")
    private Integer isDeleted;
    /**
     * 创建时间
     */    
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */    
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getIsAuth() {
        return isAuth;
    }

    public void setIsAuth(Integer isAuth) {
        this.isAuth = isAuth;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

